phing-tasks-system-condition

# Class: EqualsCondition Source Location: /tasks/system/condition/EqualsCondition.php
### Class Overview
A simple string comparator. Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $ #### Copyright: © 2001,2002 THYRELL. All rights reserved Implements interfaces: Condition | ### Methods evaluate setArg1 setArg2 setCaseSensitive setTrim
### Class Details [line 34] A simple string comparator. Compares two strings for eqiality in a binary safe manner. Implements the condition interface specification. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $
copyright: | © 2001,2002 THYRELL. All rights reserved
access: | public
[ Top ] ### Class Methods ### method evaluate [line 65]
`void evaluate( )`
#### Tags:
access: | public
Implementation of: Condition::evaluate() [ Top ] ### method setArg1 [line 41]
`void setArg1( $a1)`
#### Tags:
access: | public
#### Parameters:
| $a1 |
[ Top ] ### method setArg2 [line 45]
`void setArg2( $a2)`
#### Tags:
access: | public
#### Parameters:
| $a2 |
[ Top ] ### method setCaseSensitive [line 61]
`void setCaseSensitive( boolean $b)`
Should the comparison be case sensitive? #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] ### method setTrim [line 53]
`void setTrim( boolean $b)`
Should we want to trim the arguments before comparing them? #### Tags:
access: | public
#### Parameters:
boolean | $b |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:49 +0200 by phpDocumentor 1.4.3